/* Handle the "atexit" function.  If the routine is  in Alpha code, it's
 * straightforward.  If it's in Intel code, we need to build a reverse
 * thunk to call it via the emulator...
 */

#include <stdlib.h>

int do_atexit(void * addr)
{
    if(is_alpha_code(addr)) {
	return(atexit(addr));
    }
    else {
	return(atexit(build_reverse_thunk(addr)));
    }
}


