#include <sys/timeb.h>

struct x86_timeb {
    unsigned int	time;
    unsigned short	millitm;
    short		timezone;
    short		dstflag;
};


int do_ftime(struct x86_timeb *tbp)
{
    struct timeb	atb;
    int			retval;

    retval = ftime(&atb);
    if(retval < 0) {
	return(retval);
    }
    else {
	tbp->time = (unsigned int)(atb.time & 0xffffffff);
	tbp->millitm = atb.millitm;
	tbp->timezone = atb.timezone;
	tbp->dstflag = atb.dstflag;
	return(retval);
    }
}
    
