#include <stdio.h>
#include <sys/types.h>
#include <time.h>
#include <syscall_thunk.h>
#include <errno.h>

struct x86_timespec {
    int		tv_sec;
    int		tv_nsec;
};

int	do_nanosleep(int a0, int a1, int a2, int a3, int a4, int a5)
{
    struct x86_timespec *	xreq = ARG_TO_POINTER(a0);
    struct x86_timespec *	xrem = ARG_TO_POINTER(a1);
    struct timespec		req;
    struct timespec		rem;
    int				retval;

    req.tv_sec = xreq->tv_sec;
    req.tv_nsec = xreq->tv_nsec;

    retval = nanosleep(&req, &rem);

    xrem->tv_sec = rem.tv_sec;
    xrem->tv_nsec = rem.tv_nsec;

    if(retval == -1) {
	return(-alpha_to_intel_errno(errno));
    }
    else {
	return(retval);
    }
}

