#include <stdio.h>
#include <sys/types.h>
#include <linux/kernel.h>
#include <linux/sys.h>
#include <syscall_thunk.h>
#include <errno.h>

int	do_sysinfo(int a0, int a1, int a2, int a3, int a4, int a5)
{
    struct x86_sysinfo * xsys = ARG_TO_POINTER(a0);
    struct sysinfo si;
    int retval;
    
    retval = sysinfo(&si);
    if(retval == -1) {
	return(-alpha_to_intel_errno(errno));
    }
    else {
	xsys->uptime = (int)si.uptime;
	xsys->loads[0] = (unsigned int)si.loads[0];
	xsys->loads[1] = (unsigned int)si.loads[1];
	xsys->loads[2] = (unsigned int)si.loads[2];
	xsys->totalram = (unsigned int)si.totalram;
	xsys->freeram = (unsigned int)si.freeram;
	xsys->sharedram = (unsigned int)si.sharedram;
	xsys->bufferram = (unsigned int)si.bufferram;
	xsys->totalswap = (unsigned int)si.totalswap;
	xsys->freeswap = (unsigned int)si.freeswap;
	xsys->procs = si.procs;
    }
    return 0;
}


