// This is a frontend to the native Alpha mmap system call.
// The purpose of this frontend is to catch anonymous mmap's with
// a null address and force them to use low memory rather than the
// default.
//
// (JRP - should we also catch explicit mmap's to high memory and
//  return E2BIG?)

	.globl	mmap
	.ent	mmap
mmap:
	bne	$16,1f		# If a0 is zero, use our pet starting addr
	ldah	$16,0x4000($31)	# rather than system default
1:	lda	$0,71		# syscall number for mmap
	call_pal 131		# do syscall
	bge	$0,2f
	subl	$31,$0,$0	# negate v0
	stl	$0,errno
	lda	$0,-1($31)
2:	ret	$31,($26)
	.end	mmap
	
